<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
		 xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
		 xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>com.lutao</groupId>
	<parent>
		<groupId>com.lutao</groupId>
		<artifactId>cloud</artifactId>
		<version>1.0.0</version>
	</parent>
	<artifactId>cloud-register</artifactId>
	<version>1.0.0</version>
	<packaging>jar</packaging>
	<name>cloud-register</name>
	<description>nacos 注册配置中心</description>

	<properties>
		<nacos.version>2.1.1</nacos.version>
		<spring-boot.version>2.7.4</spring-boot.version>
		<spring-cloud.version>2021.0.4</spring-cloud.version>
		<spring-cloud-alibaba.version>2021.0.4.0</spring-cloud-alibaba.version>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<maven.compiler.source>1.8</maven.compiler.source>
		<maven.compiler.target>1.8</maven.compiler.target>
		<spring-boot-admin.version>2.7.5</spring-boot-admin.version>
		<spring.authorization.version>0.3.1</spring.authorization.version>
		<hutool.version>5.8.8</hutool.version>
		<dynamic-ds.version>3.5.1</dynamic-ds.version>
		<captcha.version>2.2.2</captcha.version>
		<velocity.version>2.3</velocity.version>
		<velocity.tool.version>3.1</velocity.tool.version>
		<configuration.version>1.10</configuration.version>
		<jasypt.version>2.1.0</jasypt.version>
		<git.commit.plugin>4.9.9</git.commit.plugin>
		<spring.checkstyle.plugin>0.0.34</spring.checkstyle.plugin>
	</properties>

	<dependencies>
		<!--配置文件处理器-->
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-configuration-processor</artifactId>
			<version>2.7.4</version>
			<optional>true</optional>
		</dependency>
		<!--配置文件加解密-->
		<dependency>
			<groupId>com.github.ulisesbocchio</groupId>
			<artifactId>jasypt-spring-boot-starter</artifactId>
			<version>${jasypt.version}</version>
		</dependency>
		<!--监控-->
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-actuator</artifactId>
			<version>2.7.4</version>
		</dependency>
		<!--监控客户端-->
		<dependency>
			<groupId>de.codecentric</groupId>
			<artifactId>spring-boot-admin-starter-client</artifactId>
			<version>${spring-boot-admin.version}</version>
		</dependency>
		<!--Lombok-->
		<dependency>
			<groupId>org.projectlombok</groupId>
			<artifactId>lombok</artifactId>
			<version>1.18.24</version>
			<scope>provided</scope>
		</dependency>
		<!--测试依赖-->
<!--		<dependency>-->
<!--			<groupId>org.springframework.boot</groupId>-->
<!--			<artifactId>spring-boot-starter-test</artifactId>-->
<!--			<version>2.7.4</version>-->
<!--			<scope>test</scope>-->
<!--		</dependency>-->
		<dependency>
			<groupId>io.springboot.nacos</groupId>
			<artifactId>nacos-config</artifactId>
			<version>${nacos.version}</version>
		</dependency>
		<dependency>
			<groupId>org.apache.tomcat.embed</groupId>
			<artifactId>tomcat-embed-jasper</artifactId>
			<version>9.0.65</version>
		</dependency>

		<dependency>
			<groupId>io.springboot.nacos</groupId>
			<artifactId>nacos-naming</artifactId>
			<version>${nacos.version}</version>
		</dependency>

		<dependency>
			<groupId>io.springboot.nacos</groupId>
			<artifactId>nacos-istio</artifactId>
			<version>${nacos.version}</version>
		</dependency>

		<dependency>
			<groupId>io.springboot.nacos</groupId>
			<artifactId>nacos-plugin-default-impl</artifactId>
			<version>${nacos.version}</version>
		</dependency>

		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-security</artifactId>
			<version>2.7.4</version>
		</dependency>

		<dependency>
			<groupId>cn.hutool</groupId>
			<artifactId>hutool-system</artifactId>
			<version>${hutool.version}</version>
		</dependency>
	</dependencies>
	<build>
		<plugins>
			<plugin>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-maven-plugin</artifactId>
			</plugin>
			<plugin>
				<groupId>io.fabric8</groupId>
				<artifactId>docker-maven-plugin</artifactId>
				<version>0.42.0</version>
			</plugin>
		</plugins>
		<resources>
			<resource>
				<directory>src/main/resources</directory>
				<filtering>true</filtering>
			</resource>
			<resource>
				<directory>src/main/resources</directory>
				<filtering>true</filtering>
				<excludes>
					<exclude>**/*.woff</exclude>
					<exclude>**/*.woff2</exclude>
					<exclude>**/*.ttf</exclude>
				</excludes>
			</resource>
			<resource>
				<directory>src/main/resources</directory>
				<filtering>false</filtering>
				<includes>
					<include>**/*.woff</include>
					<include>**/*.woff2</include>
					<include>**/*.ttf</include>
				</includes>
			</resource>
		</resources>
	</build>
</project>
